Docs
Search

Perform web search with advanced operators

POST/search
AuthorizationBearer <token>

Enter your API key with the bc_ prefix

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

categories?array<string>

Category filters

country?string

Country code

Default"US"
limit?number

Maximum number of results

Range1 <= value <= 10
Default10
location?string

Location for geo-targeting

query*string

Search query

sources?array<string>

Source types to search

Default

[  "web"]
tbs?string

Time-based filter (e.g., qdr:d for past day)

timeout?number

Timeout for search operation in milliseconds

Range1000 <= value <= 300000
Default60000

Response Body

application/json

curl -X POST "https://example.com/search" \  -H "Content-Type: application/json" \  -d '{    "query": "machine learning tutorials"  }'
{  "creditsUsed": 0,  "data": [    {      "publishedDate": "string",      "snippet": "string",      "source": "string",      "title": "string",      "url": "http://example.com"    }  ],  "query": "string",  "success": true,  "total": 0}
Empty